[python-kombu/f19] Fix requirements python-amqp and python-anyjson

Matthias Runge mrunge at fedoraproject.org
Tue Dec 10 12:09:52 UTC 2013


commit 087f99bbf3558fff026d04820a52f217cc546c45
Author: Matthias Runge <mrunge at redhat.com>
Date:   Tue Dec 10 13:09:11 2013 +0100

    Fix requirements python-amqp and python-anyjson
    
    Resolves: rhbz#1000750

 python-kombu.spec |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)
---
diff --git a/python-kombu.spec b/python-kombu.spec
index e9804c1..c65a7ad 100644
--- a/python-kombu.spec
+++ b/python-kombu.spec
@@ -1,4 +1,4 @@
-%if 0%{?fedora} > 12 || 0%{?rhel} > 6
+%if 0%{?fedora} > 12
 %global with_python3 1
 %else
 %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
@@ -8,7 +8,7 @@
 
 Name:           python-%{srcname}
 Version:        2.5.14
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        AMQP Messaging Framework for Python
 
 Group:          Development/Languages
@@ -48,6 +48,7 @@ BuildRequires: python-msgpack
 #This causes tests error, needs fixing upstream. Incompatible with python > 2.7
 #BuildRequires:  python-couchdb
 Requires: python-amqp
+Requires: python-anyjson
 
 %description
 AMQP is the Advanced Message Queuing Protocol, an open standard protocol
@@ -134,6 +135,9 @@ popd
 %endif # with_python3
 
 %changelog
+* Tue Dec 10 2013 Matthias Runge <mrunge at redhat.com> - 2.5.14-2
+- fix requirements python-anyjson, python-amqp
+
 * Sun Aug 25 2013 Fabian Affolter <mail at fabian-affolter.ch> - 2.5.14-1
 - Updated to latest upstream version 2.5.14 (rhbz#1000696)
 


More information about the scm-commits mailing list